package com.testcompany.testapp.matrixmultiply;


public class MatrixMultiplyAlg
{
	// This is the original matrix multiply algorithm
	// sleep statements have been put in here to simulate a
	// slower matrix multiplication algorithm
	public Matrix multiply(Matrix a, Matrix b)
	{
		if(!a.isMultipliable(b))
			return null;
		int size = a.getRowCount();
		
		int[][] result = new int[size][size];
		int[][] aCells = a.toIntArray();
		int[][] bCells = b.toIntArray();
		for(int row = 0; row < size; row++ )
			for( int col = 0; col < size; col++ )
			{
				result[row][col] = 0;
				for( int k = 0; k < size; k++ )
					result[row][col] += aCells[row][k] * bCells[k][col];
				try { Thread.sleep(100); }
				catch(InterruptedException e) { }
			}
		return new Matrix(result);
	}
}
