package com.testcompany.testapp.maxsum;


public class Delegate_Quadratic implements ComputeMaxSum_TRAPJInterface
{
	public int computeMaxSum(int[] integers)
	{
		System.out.println("Quadratic maxsum");
		int maxSum = 0;
		int length = integers.length;
		
		for(int i = 0; i < length; i++)
		{
			int thisSum = 0;
			
			for(int j = i;  j < length; j++)
			{
				thisSum += integers[j];
				
				if(thisSum > maxSum)
					maxSum = thisSum;
				
			}
		}
		
		return maxSum;
	}
}
