package com.testcompany.testapp.maxsum;


public class Delegate_Linear implements ComputeMaxSum_TRAPJInterface
{
	public int computeMaxSum(int[] integers)
	{
		System.out.println("Linear maxsum");
		int maxSum = 0;
		int thisSum = 0;
		int length = integers.length;
		
		for(int i = 0, j = i; j < length; j++)
		{
			thisSum += integers[j];
			
			if(thisSum > maxSum)
				maxSum = thisSum;
			else if(thisSum < 0)
			{
				i = j + 1;
				thisSum = 0;
			}
		}
		return maxSum;
	}

}
