package com.testcompany.testapp.matrixmultiply;

public class MatrixMultiplyDelegate implements Multiply_TRAPJInterface
{
	
	public Matrix multiply(Matrix a, Matrix b)
	{
		System.out.println("Delegate Method");
		if(!a.isMultipliable(b))
			return null;
		int size = a.getRowCount();
		
		int[][] result = new int[size][size];
		int[][] aCells = a.toIntArray();
		int[][] bCells = b.toIntArray();
		for(int row = 0; row < size; row++ )
			for( int col = 0; col < size; col++ )
			{
				result[row][col] = 0;
				for( int k = 0; k < size; k++ )
					result[row][col] += aCells[row][k] * bCells[k][col];
			}
		return new Matrix(result);
	}
}
